## cymothoa 1

=== Makefile ===
make:
	cc bgrep.c -o bgrep
	cc udp_server.c -o udp_server
	cc cymothoa.c -o cymothoa -Dlinux_x86
clean:
	rm -f bgrep cymothoa udp_server

## cymothoa 1-beta

=== debian/changelog ===
cymothoa (1-beta-1kali4) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * ci: Disable building on arm architectures.
  * d/upstream: Add upstream metadata

  [ Arnaud Rebillout ]
  * Fix compilation with modern GCC

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 26 Aug 2025 09:57:10 +0700

cymothoa (1-beta-1kali3) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.1, no changes needed.
  * Update standards version to 4.6.2, no changes needed.

  [ Ben Wilson ]
  * Update email address
  * Add Uploaders
  * Remove template comment and switch spaces to tabs

  [ Steev Klimaszewski ]
  * d/watch: Update to use sourceforge not debian redirector.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Sun, 09 Apr 2023 21:49:00 -0500

cymothoa (1-beta-1kali2) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.5.0
  * Use version 4 in debian/watch
  * Improve debian/rules
  * Don't install binary files twice

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 20 Nov 2020 11:33:09 +0100

cymothoa (1-beta-1kali1) kali-dev; urgency=medium

  * debian/control: Architectures supported are only amd64 and i386

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 08 Mar 2016 10:49:23 +0100

cymothoa (1-beta-1kali0) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Sat, 12 Jan 2013 07:48:56 -0700

=== debian/control ===
Source: cymothoa
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Homepage: https://cymothoa.sourceforge.net/
Vcs-Git: https://gitlab.com/kalilinux/packages/cymothoa.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/cymothoa

Package: cymothoa
Architecture: i386 amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Stealth backdooring tool
 Cymothoa is a stealth backdooring tool, that inject
 backdoor's shellcode into an existing process. The tool
 uses the ptrace library (available on nearly all * nix), to
 manipulate processes and infect them.

=== debian/watch ===
version=4
opts=searchmode=plain \
https://sourceforge.net/projects/cymothoa/rss?limit=10000000000000000000 \
https?://.*/cymothoa-(.*)\.tar\.gz
